Package mvpa :: Package misc :: Package io :: Module base :: Class SensorLocations

[hide private]
[frames] | no frames]

# Class SensorLocations

source code

Base class for sensor location readers.

Each subclass should provide x, y, z coordinates via the `pos_x`, `pos_y`, and `pos_z` attrbibutes.

Axes should follow the following convention:

> x-axis: left -> right y-axis: anterior -> posterior z-axis: superior -> inferior

Instance Methods | [hide private]

    new empty dictionary

__init__(self, *args, **kwargs) Pass arguments to ColumnData. | source code

locations(self) Get the sensor locations as an array. | source code

Inherited from `ColumnData`: `__iadd__`, `__str__`, `getNColumns`, `getNRows`, `selectSamples`, `tofile`

Inherited from `ColumnData` (private): `_check`, `_fromFile`, `_getAttrib`

Inherited from `dict`: `__cmp__`, `__contains__`, `__delitem__`, `__eq__`, `__ge__`, `__getattribute__`, `__getitem__`, `__gt__`, `__iter__`, `__le__`, `__len__`, `__lt__`, `__ne__`, `__new__`, `__repr__`, `__setitem__`, `__sizeof__`, `clear`, `copy`, `fromkeys`, `get`, `has_key`, `items`, `iteritems`, `iterkeys`, `itervalues`, `keys`, `pop`, `popitem`, `setdefault`, `update`, `values`, `viewitems`, `viewkeys`, `viewvalues`

Inherited from `object`: `__delattr__`, `__format__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__subclasshook__`

Class Variables | [hide private]

Inherited from `ColumnData`: `__doc__`, `ncolumns`, `nrows` Inherited from `dict`: `__hash__`

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### __init__(self, *args, **kwargs)
(Constructor)

source code

Pass arguments to ColumnData.

Parameters:
  - `source` - If values is given as a string all data is read from the file and additonal keyword arguments can be sued to customize the read procedure. If a dictionary is passed a deepcopy is performed.
  - `header` - Indicates whether the column names should be read from the first line (`header=True`). If `header=False` unique column names will be generated (see class docs). If `header` is a python list, it's content is used as column header names and its length has to match the number of columns in the file.
  - `sep` - Separator string. The actual meaning depends on the output format (see class docs).
  - `headersep` - Separator string used in the header. The actual meaning depends on the output format (see class docs).
  - `dtype` - Desired datatype(s). Datatype per column get be specified by passing a list of types.
  - `skiplines` - Number of lines to skip at the beginning of the file.
Returns:

    new empty dictionary

Overrides: object.__init__

### locations(self)

source code

Get the sensor locations as an array.

Returns:
  (nchannels x 3) array with coordinates in (x, y, z)